# Uses of Class
org.eclipse.birt.chart.computation.Vector

Packages that use Vector
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of Vector in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Vector
Modifier and Type
Method
Description
`Vector`
Vector.`crossProduct(Vector v)`
`Vector`
Vector.`getAdd(Vector v)`
`Vector`
Object3D.`getCenter()`
Returns center of gravity of polygon
`Vector`
Vector.`getMultiply(org.eclipse.birt.chart.internal.computations.Matrix m)`
`Vector`
Object3D.`getNormal()`
returns the normal vector (pointing outside the enclosed volume for oriented polygons.)
`Vector`
Vector.`getNormalized()`
`static Vector`
Object3D.`getPlaneNormal(Vector pt0, Vector pt1, Vector pt2)`
return the normal (orientation) vector of the plane determined by points pt0, pt1 and pt2
`Vector`
Vector.`getSub(Vector v)`
`Vector[]`
Object3D.`getVectors()`
Returns vectors in model frame for this object
`Vector[]`
Object3D.`getViewerVectors()`
Returns vectors in viewer frame for this object
`Vector`
Engine3D.`getViewReferencePoint()`
`Vector`
Object3D.`getZMaxPoint()`
`Vector`
Object3D.`getZMinPoint()`
Methods in org.eclipse.birt.chart.computation with parameters of type Vector
Modifier and Type
Method
Description
`void`
Vector.`add(Vector v)`
`byte`
Engine3D.`checkClipping(Vector start, Vector end)`
Clipping the lines according to viewing volumn.
`double`
Vector.`cosineValue(Vector v)`
`Vector`
Vector.`crossProduct(Vector v)`
`Vector`
Vector.`getAdd(Vector v)`
`static Vector`
Object3D.`getPlaneNormal(Vector pt0, Vector pt1, Vector pt2)`
return the normal (orientation) vector of the plane determined by points pt0, pt1 and pt2
`Vector`
Vector.`getSub(Vector v)`
`boolean`
Object3D.`isBehind(Vector point)`
`double`
Vector.`scalarProduct(Vector v)`
`void`
Vector.`sub(Vector v)`
`void`
Engine3D.`translate(Vector v)`
Translates the view frame.
Constructors in org.eclipse.birt.chart.computation with parameters of type Vector
Modifier
Constructor
Description
``
`Engine3D(Rotation3D rotation, Vector lightDirection, double viewerWidth, double viewerHeight)`
``
`Engine3D(Rotation3D rotation, Vector lightDirection, double viewerWidth, double viewerHeight, double viewingDistance, double modelingDistance, double hitherDistance, double yonDistance, double perspectiveDistance)`
``
`Vector(Vector v)`

## Uses of Vector in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute with parameters of type Vector
Modifier and Type
Method
Description
`void`
Location3D.`linkToVector(Vector vector)`
Used to link a Location3D to a Vector for live update of the coordinates.

## Uses of Vector in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Vector
Modifier and Type
Method
Description
`void`
Location3DImpl.`linkToVector(Vector vector)`